Xerces Native Interface: Interface XMLGrammarDescription

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.grammars
Interface XMLGrammarDescription

All Superinterfaces:
  XMLResourceIdentifier

All Known Subinterfaces:
  XMLDTDDescription, XMLSchemaDescription

public interface XMLGrammarDescription
extends XMLResourceIdentifier

This interface describes basic attributes of XML grammars--their physical location and their type.

Version:
  $Id: XMLGrammarDescription.java,v 1.6 2003/11/14 16:54:05 mrglavas Exp $
Author:
  Neil Graham, IBM

Field Summary
`static java.lang.String` | `XML_DTD` The grammar type constant for DTD grammars.
`static java.lang.String` | `XML_SCHEMA` The grammar type constant for XML Schema grammars.

Method Summary
`java.lang.String` | `getGrammarType()` Return the type of this grammar.

Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier
`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

Field Detail

### XML_SCHEMA

    public static final java.lang.String XML_SCHEMA

  The grammar type constant for XML Schema grammars. When getGrammarType() method returns this constant, the object should be an instance of the XMLSchemaDescription interface.

### XML_DTD

    public static final java.lang.String XML_DTD

  The grammar type constant for DTD grammars. When getGrammarType() method returns this constant, the object should be an instance of the XMLDTDDescription interface.

Method Detail

### getGrammarType

    public java.lang.String getGrammarType()

  Return the type of this grammar.
  Returns:
    the type of this grammar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.